<?php
/**
 * @file
 * Modal form für das Anlegen und Bearbeiten von SIP Konten
 */
chdir("../..");

include "./includes/variables.php";
include "./misc/database.php";
$ba = new beroAri();
require_once ('./includes/lang.php');
require_once ('./includes/Helper/HelperSip.php');
require_once('/usr/local/www/berogui/includes/session.php');
include("./misc/config_parameter.php");

exec("/usr/local/bin/isgw -E", $output, $enumStatus);

$page = $_GET['start'];

$name = '"general"';
$query_comp = $ba->select("SELECT * FROM sip");
while ($entry = $ba->fetch_array($query_comp)) {
	if ($entry['id'] != $_GET['id'])
		$name.=',' . '"' . $entry['name'] . '"';
}

$guiMode = $ba -> get('gui_mode');
if ($guiMode == "") {
	$guiMode = "advanced";
}

$ba = new beroAri();
?>

<script type="text/javascript" src="misc/script/sip.js"></script>
<script type="text/javascript">

        var validator = $("#sipp").validate({
            rules: {
                name: {
                    required: true,
                    specChar: true,
                    checkBlank: true,
                    compareName: [<?php echo $name; ?>]
                },
                user: "specChar",
                displayname: "specChar",
                auth_user: "specChar",
                secret: "specChar",
                'matchtype[]': {
                    required: {
                        depends: function (element) {
                            return $("#profile").val() == "manual";
                        }
                    }
                },
                'srtp_crypto_suites[]': {
                    required: {
                        depends: function () {
                            return ($("#srtp_mode").val() === "mandatory" || $("#srtp_mode").val() === "optional");
                        }
                    }
                },
                sip_from_user_setting_manual: {
                    specChar: "#sip_from_user_setting_manual:visible",
                },
                sip_from_display_setting_manual: {
                    specChar: "#sip_from_display_setting_manual:visible",
                },
                sip_proxy: {
                    checkHostname: true,
                    required: {
                        depends: function () {
                            return ($("#sip_registrar").is(":blank") && !$("#enum_search_domains").is(":visible"));
                        }
                    },
                    sipPortCheck: "<?php echo HelperSip::udpports($ba); ?>"
                },
                sip_registrar: {
                    checkHostname: true,
                    required: {
                        depends: function () {
                            return ($("#sip_proxy").is(":blank") && !$("#enum_search_domains").is(":visible"));
                        }
                    },
                    sipPortCheck: "<?php echo HelperSip::udpports($ba); ?>"
                },
                enum_search_domains: {
                    required: true,
                },
                regrefresh: {
                    required: true,
                    range: [30, 86400]
                },
				sip_custom_port: {
					range: [1025, 65535]
				},
                keepalive_interval: {
                    required: true,
                    range: [0, 86400]
                }
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            }
        });
        $("#sip_registrar").keyup(function () {
            required();
        });
        $("#sip_proxy").keyup(function () {
            required();
        });
  
        var i = 1;
        function show_advanced() {
            var state = true;
            if (i++ % 2 === 0) {
                $(".advanced").show();
                $(".linkAdvanced").html('<?php echo SIP_SIMPLE_DIS; ?>');
                state = true;
            } else {
                $(".advanced").hide();
                $(".linkAdvanced").html('<?php echo SIP_ADVANCED_DIS; ?>');
                state = false;
            }
			hide_server($('#enum_support').prop('checked'));
            hide_reg(document.getElementById('register').checked, state);
            options(document.getElementById('stunradio').checked, document.getElementById('externipradio').checked, state);
			srtp();
		    disable_ipMatchtype();
		    options($('#stunradio').prop('checked'), $('#externipradio').prop('checked'));
        }

        
		
        function openPopup(page) {
            profile = $("[id='" + $("#type").val() + "']").val();
            type = $("#type").val();
            var result = null;
            $('.modal-body').load("modules/Sip/sip_popup.php?start=" + page + "&profile=" + encodeURI(profile) + "&type=" + encodeURI(type), function (res) {
                //result = res;
                //$('.modal-body').html(result);
            });
        }

        $(document).ready(function () {
			required();
            $('[data-toggle="tooltip"]').tooltip({placement : 'auto bottom', html : true, trigger : 'hover'});
        });
        $('#sip-tab a').click(function (e) {
            e.preventDefault();
			$(this).tab('show');
        });
		
		$('#sip-tab a').on('hide.bs.tab', function (e) {
			var valid = true;
			var tab=e.target.getAttribute('href');
			$(tab).find("input").each(function() {
				if (!validator.element(this) && valid) {
					valid = false;
				}
			});
			$(tab).find("select").each(function() {
				if (!validator.element(this) && valid) {
					valid = false;
				}
			});
			if (!valid)
				e.preventDefault();
		});
				

</script>

<?php
require_once "./includes/isgwtelnet.php";
require_once "./includes/profileParser.php";

function getProfile() {
	if (isset($_GET['id']))
		return HelperSip::getValue(new beroAri(), $_GET['id'], 'profile', $fixedSettings);
	else if ($_GET['type'] == "manual")
		return $_GET['type'];
	else
		return $_GET['type'] . "-" . $_GET['profile'];
}




if (!isset($_GET['id']) && !isset($_GET['profile'])) {
	?>
	<form class='form-horizontal' name='profile'>
	    <div class='form-group'>
		<label for='name' class='col-sm-3 control-label'><? echo SIP_PROFILE_DIS; ?></label>
		<div class='col-sm-8'><? echo HelperSip::profiles(); ?></div>
	    </div>
	    <br /><br />
	    <div class='text-center'><button  class='btn btn-default' onclick="openPopup('<? echo $page; ?>');" type='button'><? echo BUTTON_NEXT; ?></button></div>
	</form>
	<?php
} else {


	
	$fixedSettings = array();
	?>
	<script>
		$(document).ready(function () {
		    hide_reg(document.getElementById('register').checked);
		    hide_server($('#enum_support').prop('checked'));
		    srtp();
		    disable_ipMatchtype();
		    $('#srtp_mode').change(function () {
			srtp();
		    });
		    options($('#stunradio').prop('checked'), $('#externipradio').prop('checked'));
	<?php
//Profil auslesen
	if (getProfile() != "manual") {
		$profileParser = new profileParser(getProfile());
		$userSettings = $profileParser->getUserSettings();
		$fixedSettings = $profileParser->getFixedSettings();
		//Allgemeiner Hilfetext anzeigen
		if ($profileParser->getHelpText() !== null) {
			?>
				    $('.help').html('<i><? echo $profileParser->getHelpText(); ?></i>');
			<?php
		}
		//Help Text for tooltip überschreiben falls ein Text zur Verfügung in dem Profil steht
		foreach ($userSettings as $value) {
			if ($profileParser->getFieldHelp($value) !== null) {
				?>
					    $('.<? echo $value; ?>').prop('data-toggle', 'tooltip');
					    $('.<? echo $value; ?>').prop('data-placement', 'auto bottom');
					    $('.<? echo $value; ?>').prop('data-trigger', 'hover');
					    $('.<? echo $value; ?>').attr('data-original-title', '<? echo $profileParser->getFieldHelp($value); ?>');
				<?php
			}
		}
		?>

			    $('.more').addClass('advanced');
		<?php
		//Felder im Formular die nicht user settings sind
		$diffArray = array_diff(HelperSip::$fields, $userSettings);
		foreach ($diffArray as $value) {
			if ($value === "stunserver" || $value === 'externip') {
				?>
					    $('.natoptions').addClass('advanced');
				<?php
			}
			?>
				    $('.<? echo $value; ?>').addClass('advanced');
			<?php
		}
		?>
			    show_advanced();
		<?php
	}
	?>
		});
	</script>
	<?php
	(HelperSip::getValue($ba, $_GET['id'], "stunserver", $fixedSettings) == "") ? $stun = "" : $stun = "checked";
	(HelperSip::getValue($ba, $_GET['id'], "externip", $fixedSettings) == "") ? $externip = "" : $externip = "checked";
	(HelperSip::getValue($ba, $_GET['id'], "externip", $fixedSettings) == "" && HelperSip::getValue($ba, $_GET['id'], "stunserver", $fixedSettings) == "") ? $nonat = "checked" : $nonat = "";

	$stacks = array('lan' => 'lan', 'localhost' => 'localhost');
	$bc = new beroConf('root');
	if ((int) $ba->get('stack_active_lan') === 0){
		$stacks['lan'] = 'lan (deactivated)';
	}
	if ($bc->get('root', 'lan-mode') == 'lan-wan' && ((int) $ba->get('stack_active_wan') === 1)) {
		$stacks['wan'] = 'wan';
	}
	if (is_dir('/home/admin/apps/openvpn/') && ((int) $ba->get('stack_active_vpn') === 1)) {
		$stacks['vpn'] = 'vpn';
	}
	if ($guiMode == 'simple' && getProfile() == "manual") {
		$simple_class = 'simple';
	}
	?>
	<div class='help'></div>
	<div>

	    <!-- Nav tabs -->
	    <ul class='nav nav-tabs' role='tablist' id='sip-tab'>
		<li role='presentation' class='active'><a href='#settings' aria-controls='settings' role='tab' data-toggle='tab'>Settings</a></li>
<?php	if ($guiMode == 'advanced') { ?>
		<li role='presentation'><a href='#config-string' aria-controls='config-string' role='tab' data-toggle='tab'>More</a></li>
<?php	} ?>
	    </ul>

	    <form name='sipp' id='sipp' action='modules/Sip/sip_submit.php' method='POST' class='form-horizontal'>
		<div class='tab-content'>
			<div role='tabpanel' class='tab-pane active' id='settings' style="padding-top:15px;">
			<input type=hidden name='start' value='<? echo $page; ?>'>
			<input type=hidden name='profile' id='profile' value='<? echo getProfile(); ?>'>
			<input type='password' name='dummy' style='display:none'>
			<div class='form-group name' data-toggle='tooltip' title='<? echo TRUNKS_SIP_NAME; ?>'>
			    <label for='name' class='col-sm-3 control-label'><? echo SIP_NAME_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "name", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group sip_proxy' data-toggle='tooltip' title='<? echo TRUNKS_SIP_PROXY; ?>'>
			    <label for='sip_proxy' class='col-sm-3 control-label'><? echo SIP_PROXY_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "sip_proxy", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group sip_registrar' data-toggle='tooltip'  title='<? echo TRUNKS_SIP_REGISTRAR; ?>'>
			    <label for='sip_registrar' class='col-sm-3 control-label'><? echo SIP_REGISTRAR_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "sip_registrar", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group sip_domain <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_DOMAIN; ?>'>
			    <label for='sip_domain' class='col-sm-3 control-label'><? echo SIP_DOMAIN_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "sip_domain", $fixedSettings); ?>
			    </div>
			</div>
			<?php
			if ($enumStatus === 0) {
				?>
				<div class='form-group enum_search_domains <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_ENUM_SEARCH_DOMAINS; ?>'>
				    <label for='enum_search_domains' class='col-sm-3 control-label'><? echo SIP_ENUM_SEARCH_DOMAINS_DIS; ?></label>
				    <div class='col-sm-8'>
						<? echo HelperSip::textField($ba, $_GET['id'], "enum_search_domains", $fixedSettings); ?>
				    </div>
				</div>
				<div class='form-group enum_support <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_ENUM_SUPPORT_DIS; ?>'>
				    <label for='enum_support' class='col-sm-3 control-label'><? echo SIP_ENUM_SUPPORT_DIS; ?></label>
				    <div class='col-sm-8'>
					<? echo HelperSip::checkbox($ba, $_GET['id'], "enum_support", $fixedSettings, 
						"onchange='hide_server(this.checked);'"); ?>
				    </div>
				</div>
				<?php
			}
			?>
			<div class='form-group user' data-toggle='tooltip' title='<? echo TRUNKS_SIP_USER; ?>'>
			    <label for='sip_domain' class='col-sm-3 control-label'><? echo SIP_USER_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "user", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group auth_user <? echo $simple_class; ?>'>
			    <label for='auth_user' class='col-sm-3 control-label'><? echo SIP_AUTH_USER_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "auth_user", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group displayname <? echo $simple_class; ?>'>
			    <label for='displayname' class='col-sm-3 control-label'><? echo SIP_DISPLAYNAME_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "displayname", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group secret' data-toggle='tooltip' title='<? echo TRUNKS_SIP_SECRET; ?>'>
			    <label for='secret' class='col-sm-3 control-label'><? echo SIP_SECRET_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::passwordField($ba, $_GET['id'], "secret", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group matchtype <? echo $simple_class; ?>'>
			    <label for='matchtype[]' class='col-sm-3 control-label'><? echo DIALPLAN_MATCH_TYPE_DIS; ?></label>
			    <div class='col-sm-8'>
				<? echo HelperSip::matchtype($ba, $_GET['id'], $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group call_transfer_method <? echo $simple_class; ?>'>
			    <label for='call_transfer_method' class='col-sm-3 control-label'><? echo SIP_CALL_TRANSFER_METHOD_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::dropdown($ba, $_GET['id'], "call_transfer_method", $fixedSettings, array("refer" => "refer", 
						"reinvite" => "reinvite")); ?>
			    </div>
			</div>
			<div class='form-group sip_stack <? echo $simple_class; ?>'>
			    <label for='sip_stack' class='col-sm-3 control-label'><? echo SIP_STACK_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::dropdown($ba, $_GET['id'], "sip_stack", $fixedSettings, $stacks); ?>
			    </div>
			</div>
			<div class='form-group sip_transport <? echo $simple_class; ?>'>
			    <label for='sip_transport' class='col-sm-3 control-label'><? echo SIP_STACKS_SIP_TRANSPORT_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::dropdown($ba, $_GET['id'], "sip_transport", $fixedSettings, array("udp" => "udp", "tcp" => "tcp",
						"tls" => "tls")); ?>
			    </div>
			</div>
			<div class='form-group sip_custom_port <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_PORT; ?>'>
			    <label for='sip_custom_port' class='col-sm-3 control-label'><? echo SIP_PORT_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "sip_custom_port", $fixedSettings); ?>
			    </div>
			</div>
			<div class='form-group natoptions <? echo $simple_class; ?>'>
			    <label for='option' class='col-sm-3 control-label'><? echo SIP_OPTIONS_DIS; ?></label>
			    <div class='col-sm-8'>
				<div class='radio pull-left'>
				    <label><input name='option' id='nonatradio' type='radio' value='nonat' <? echo $nonat; ?> ><? echo SIP_NONAT_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
				<div class='radio pull-left'>
				    <label><input name='option' id='stunradio' type='radio' value='stun' <? echo $stun; ?> ><? echo SIP_STUNSERVER_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
				<div class='radio pull-left'>
				    <label><input name='option' id='externipradio' type='radio' value='externip' <? echo $externip; ?>><? echo SIP_EXTERNIP_DIS; ?></label>
				</div>
				<div class='clearfix'></div>
			    </div>
			</div>
			<div class='form-group options <? echo $simple_class; ?>'>
			    <label for='stunserver' class='col-sm-3 control-label stun'><? echo SIP_STUNSERVER_DIS; ?></label>
			    <label for='externip' class='col-sm-3 control-label externip'><? echo SIP_EXTERNIP_DIS; ?></label>
			    <div class='col-sm-8'>
				<div class='stun'><? echo HelperSip::textField($ba, $_GET['id'], "stunserver", $fixedSettings); ?></div>
				<div class='externip'><? echo HelperSip::textField($ba, $_GET['id'], "externip", $fixedSettings); ?></div>
			    </div>
			</div>
			<div class='form-group register' data-toggle='tooltip' data-html="true" title='<? echo TRUNKS_SIP_REGISTER; ?>'>
			    <label for='register' class='col-sm-3 control-label'><? echo SIP_REGISTER_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::checkbox($ba, $_GET['id'], "register", $fixedSettings, "onchange='hide_reg(this.checked); change_config(this)'"); ?>
			    </div>
			</div>
			<div id='reg' class='form-group regrefresh <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_REGREFRESH; ?>'>
			    <label for='regrefresh' class='col-sm-3 control-label'><? echo SIP_REGISTRATION_INTERVALL_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "regrefresh", $fixedSettings, "300"); ?>
			    </div>
			</div>
			<div id='reg_option' class='form-group keepalive_interval <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_REGISTER_OPTION; ?>'>
			    <label for='register_option' class='col-sm-3 control-label'><? echo SIP_REGISTER_OPTION_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::dropdown($ba, $_GET['id'], "register_option", $fixedSettings, array("validate" => "validate", 
						"no-validate no-options-keepalive" => "no-validate"), "no-validate no-options-keepalive"); ?>
			    </div>
			</div>
			<div id='keepalive_int' class='form-group register_option <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo TRUNKS_SIP_KEEPALIVE_INTERVAL; ?>'>
			    <label for='keepalive_interval' class='col-sm-3 control-label'><? echo SIP_KEEPALIVE_INTERVAL_DIS; ?></label>
			    <div class='col-sm-8'>
					<? echo HelperSip::textField($ba, $_GET['id'], "keepalive_interval", $fixedSettings, "0"); ?>
			    </div>
			</div>
			<div class='text-center <? echo $simple_class; ?>'>
			    <?php
			    if (getProfile() != "manual") {
				    ?>
				    <a href='#' onclick='show_advanced();' class='linkAdvanced'><? echo SIP_ADVANCED_DIS; ?></a>&nbsp;&nbsp;
				    <?php
			    }
			    $config = HelperSip::getValue($ba, $_GET['id'], 'config', $fixedSettings);
			    ?>
			</div>
		    </div>
		    <div role='tabpanel' class='tab-pane' id='config-string'>
				<div class="row t38 dtmfmode srtp_mode codecs <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_MEDIA_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group t38 <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo T38; ?>'>
					<label for='t38' class='col-sm-3 control-label'><? echo DIALPLAN_T38_SUPPORT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo t38($config); ?>
					</div>
				</div>
				<div class='form-group dtmfmode <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo DTMFMODE; ?>'>
					<label for='dtmfmode' class='col-sm-3 control-label'><? echo DIALPLAN_DTMF_MODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo dtmfmode($config); ?>
					</div>
				</div>
				<div class='form-group srtp_mode <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SRTP_MODE; ?>'>
					<label for='srtp_mode' class='col-sm-3 control-label'><? echo DIALPLAN_SRTP_MODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo srtp_mode($config); ?>
					</div>
				</div>
				<div class='form-group srtp_crypto_suites <? echo $simple_class; ?>'>
					<label for='srtp_crypto_suites[]' class='col-sm-3 control-label'><? echo DIALPLAN_SRTP_CRYPTO_SUITES_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo srtp_crypto_suites($config); ?>
					</div>
				</div>
				<div class='form-group codecs <? echo $simple_class; ?>'>
					<label for='codecs' class='col-sm-3 control-label'><? echo DIALPLAN_CODECS_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo codecs($config); ?>
					</div>
				</div>
				
				<div class="clearfix"></div>
				<div class="row wait_for_cancel s2i_cpt i2s_cpt <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_STATE_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group wait_for_cancel <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo WAIT_FOR_CANCEL; ?>'>
					<label for='wait_for_cancel' class='col-sm-3 control-label'><? echo DIALPLAN_WAIT_FOR_CANCEL_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo wait_for_cancel($config); ?>
					</div>
				</div>
				<div class='form-group s2i_cpt <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo CALL_PROGRESS_TABLE; ?>'>
					<label for='s2i_cpt' class='col-sm-3 control-label'><? echo DIALPLAN_CALL_PROGRESS_TABLE_S2I_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo s2i_cpt($config); ?>
					</div>
				</div>
				<div class='form-group i2s_cpt <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo CALL_PROGRESS_TABLE; ?>'>
					<label for='i2s_cpt' class='col-sm-3 control-label'><? echo DIALPLAN_CALL_PROGRESS_TABLE_I2S_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo i2s_cpt($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row ie_on_sip sip_to_user_setting sip_from_display_setting sip_from_user_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_SIP_SETTINGS_DIS; ?></p>
				</div>
				<div class='form-group ie_on_sip <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo IE_ON_SIP; ?>'>
					<label for='ie_on_sip' class='col-sm-3 control-label'><? echo DIALPLAN_IE_ON_SIP_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo ie_on_sip($config); ?>
					</div>
				</div>
				<div class='form-group sip_to_user_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_TO_USER_SETTING; ?>'>
					<label for='sip_to_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_TO_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo called_party_number_sip('sip_to_user_setting', $config); ?>
					</div>
				</div>
				<div class='form-group sip_from_user_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_FROM_USER_SETTING; ?>'>
					<label for='sip_from_user_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_FROM_USER_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_from_user_setting', $config); ?>
					</div>
				</div>
				<div class='form-group sip_from_display_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_FROM_DISPLAY_SETTING; ?>'>
					<label for='sip_from_display_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_FROM_DISPLAY_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo caller_id_mapping_sip('sip_from_display_setting', $config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row sip_national_code sip_international_code dialplan_international_prefix 
					 isdn2sip_destination_numformat isdn2sip_source_numformat sip2dialplan_dad_prefix_setting
					 sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_PROVIDER_SETTINGS_DIS; ?></p>
				</div>
				<div class='form-group sip_national_code <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN_CITY_CODE; ?>'>
					<label for='sip_national_code' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_NATIONAL_CODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('sip_national_code', $config, $ba->get('national_code')); ?>
					</div>
				</div>
				<div class='form-group sip_international_code <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN_COUNTRY_CODE; ?>'>
					<label for='sip_international_code' class='col-sm-3 control-label'><? echo DIALPLAN_SIP_INTERNATIONAL_CODE_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('sip_international_code', $config, $ba->get('international_code')); ?>
					</div>
				</div>
				<div class='form-group dialplan_international_prefix <? echo $simple_class; ?>'>
					<label for='dialplan_international_prefix' class='col-sm-3 control-label'><? echo DIALPLAN_DIALPLAN_INTERNATIONAL_PREFIX_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip_input_text('dialplan_international_prefix', $config, "00"); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row isdn2sip_destination_numformat isdn2sip_source_numformat <? echo $simple_class; ?>">
					<div class="text-center">
						<h5><? echo DIALPLAN_PSTN_TO_SIP_DIS; ?></h5>
					</div>
				</div>
				<div class='form-group isdn2sip_destination_numformat <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN2SIP_DESTINATION_NUMFORMAT; ?>'>
					<label for='isdn2sip_destination_numformat' class='col-sm-3 control-label'><? echo DIALPLAN_ISDN2SIP_DESTINATION_NUMFORMAT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo isdn2sip_destination_numformat($config); ?>
					</div>
				</div>
				<div class='form-group isdn2sip_source_numformat <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo ISDN2SIP_SOURCE_NUMFORMAT; ?>'>
					<label for='isdn2sip_source_numformat' class='col-sm-3 control-label'><? echo DIALPLAN_ISDN2SIP_SOURCE_NUMFORMAT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo isdn2sip_source_numformat($config); ?>
					</div>
				</div>
				

				
				<div class='form-group use_privacy_header <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo USE_PRIVACY_HEADER_TOOLTIP; ?>'>
					<label for='use_privacy_header' class='col-sm-3 control-label'><? echo DIALPLAN_USE_PRIVACY_HEADER_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo use_privacy_header($config); ?>
					</div>
				</div>
				
				<div class="clearfix"></div>
				<div class="row sip2dialplan_dad_prefix_setting sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>">
					<div class="text-center">
						<h5><? echo DIALPLAN_SIP_TO_PSTN_DIS; ?></h5>
					</div>
				</div>
				<div class='form-group sip2dialplan_dad_prefix_setting <? echo $simple_class; ?>'>
					<label for='sip2dialplan_dad_prefix_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP2DIALPLAN_DAD_PREFIX_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip2dialplan_dad_prefix_setting($config); ?>
					</div>
				</div>
				<div class='form-group sip2dialplan_oad_prefix_setting <? echo $simple_class; ?>'>
					<label for='sip2dialplan_oad_prefix_setting' class='col-sm-3 control-label'><? echo DIALPLAN_SIP2DIALPLAN_OAD_PREFIX_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo sip2dialplan_oad_prefix_setting($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row from_sip_src_setting <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_OPTIONS_DIS; ?></p>
				</div>
				<div class='form-group from_sip_src_setting <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FROM_SIP_SRC_SETTING; ?>'>
					<label for='failover_timeout' class='col-sm-3 control-label'><? echo DIALPLAN_FROM_SIP_SRC_SETTING_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo from_sip_src_setting($config); ?>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="row failover_proxy failover_timeout <? echo $simple_class; ?>">
					<p class="lead text-center"><? echo DIALPLAN_OTHER_DIS; ?></p>
				</div>
				<div class='form-group failover_proxy <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FAILOVER_ACCOUNT; ?>'>
					<label for='failover_proxy' class='col-sm-3 control-label'><? echo DIALPLAN_FAILOVER_ACCOUNT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo failover_proxy($config); ?>
					</div>
				</div>
				<div class='form-group failover_timeout <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo FAILOVER_TIMEOUT; ?>'>
					<label for='failover_timeout' class='col-sm-3 control-label'><? echo DIALPLAN_FAILOVER_TIMEOUT_DIS; ?></label>
					<div class='col-sm-8'>
					<? echo failover_timeout($config); ?>
					</div>
				</div>
				
				<div class='form-group s2s_nat_opener <? echo $simple_class; ?>' data-toggle='tooltip' title='<? echo SIP_NAT_OPENER_TOOLTIP; ?>'>
					<label for='s2s_nat_opener' class='col-sm-3 control-label'><? echo SIP_NAT_OPENER_HEADER; ?></label>
					<div class='col-sm-8'>
					<? echo s2s_nat_opener('s2s_nat_opener', $config); ?>
					</div>
				</div>
				
					
				<div class='form-group addit_options <? echo $simple_class; ?>'  data-toggle='tooltip' title='<? echo ADDIT_OPTIONS; ?>'>
					<label for='addit_options' class='col-sm-3 control-label'><? echo DIALPLAN_ADDITIONAL_CONFIG_DIS; ?></label>
					<div class='col-sm-8'>
					<textarea name='addit_options' id='addit_options' class='form-control' rows='5'></textarea>
					</div>
				</div>
					<div class='form-group addit_options <? echo $simple_class; ?>'>
						<label for='extra_tooltip' class='col-sm-3 control-label'><? echo DIALPLAN_ADDITIONAL_CONFIG_DOC_DIS; ?></label>
					<div class='col-sm-8'>
						<p id='extra_tooltip' class='form-control-static' style='height: 170px; overflow: auto; border: 1px solid #A31D26; resize:both;'></p>
					</div>
					</div>
				<div class="clearfix"></div>
				</div>
		</div>
		<div class='text-center'><i><? echo REQUIRED_FIELDS; ?></i></div>
		<?php
		if (isset($_GET['id']) || getProfile() != "manual") {
			HelperSip::showdefmc($fixedSettings);
		} else {
			HelperSip::showConfAdd();
		}
		if (isset($_GET['id'])) {
			?>
			<input type='hidden' name='alt_name' value='<? echo HelperSip::getValue($ba, $_GET['id'], "name", $fixedSettings); ?>'><input type='hidden' name='id_upd' value='<? echo $_GET['id']; ?>'>
			<?php
		}
		?>
		<div class='text-center'>
		    <button type='submit' class='btn btn-default' onclick='selectall();'><? echo BUTTON_SAVE; ?></button>
		</div>
	    </form>					
	</div>
	<?php
}
